- 1.85.0 (latest)
- 1.83.0
- 1.82.0
- 1.80.0
- 1.78.0
- 1.76.0
- 1.75.0
- 1.74.0
- 1.73.0
- 1.72.0
- 1.70.0
- 1.68.0
- 1.67.0
- 1.64.0
- 1.63.0
- 1.62.0
- 1.60.0
- 1.59.0
- 1.58.0
- 1.57.0
- 1.56.0
- 1.55.0
- 1.54.0
- 1.53.0
- 1.52.0
- 1.51.0
- 1.49.0
- 1.48.0
- 1.47.0
- 1.46.0
- 1.45.0
- 1.44.0
- 1.43.0
- 1.42.0
- 1.41.0
- 1.40.0
- 1.39.0
- 1.37.0
- 1.36.0
- 1.35.0
- 1.34.0
- 1.33.0
- 1.32.0
- 1.31.0
- 1.30.0
- 1.29.0
- 1.28.0
- 1.27.0
- 1.24.0
- 1.23.0
- 1.22.0
- 1.21.0
- 1.20.0
- 1.19.0
- 1.18.0
- 1.17.0
- 1.16.0
- 1.15.0
- 1.14.0
- 1.13.0
- 1.12.0
- 1.11.0
- 1.9.0
- 1.8.0
- 1.7.0
- 1.6.0
- 1.5.0
- 1.4.0
- 1.0.4
public static final class TransferProto.ListAgentPoolsRequest.Builder extends GeneratedMessage.Builder<TransferProto.ListAgentPoolsRequest.Builder> implements TransferProto.ListAgentPoolsRequestOrBuilderThe request passed to ListAgentPools.
Protobuf type google.storagetransfer.v1.ListAgentPoolsRequest
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > TransferProto.ListAgentPoolsRequest.BuilderImplements
TransferProto.ListAgentPoolsRequestOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public TransferProto.ListAgentPoolsRequest build()| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest |
|
buildPartial()
public TransferProto.ListAgentPoolsRequest buildPartial()| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest |
|
clear()
public TransferProto.ListAgentPoolsRequest.Builder clear()| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
|
clearFilter()
public TransferProto.ListAgentPoolsRequest.Builder clearFilter()An optional list of query parameters specified as JSON text in the form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}
Since agentPoolNames support multiple values, its values must be
specified with array notation. When the filter is either empty or not
provided, the list returns all agent pools for the project.
string filter = 2;
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
clearPageSize()
public TransferProto.ListAgentPoolsRequest.Builder clearPageSize() The list page size. The max allowed value is 256.
int32 page_size = 3;
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
clearPageToken()
public TransferProto.ListAgentPoolsRequest.Builder clearPageToken()The list page token.
string page_token = 4;
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
clearProjectId()
public TransferProto.ListAgentPoolsRequest.Builder clearProjectId()Required. The ID of the Google Cloud project that owns the job.
string project_id = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public TransferProto.ListAgentPoolsRequest getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getFilter()
public String getFilter()An optional list of query parameters specified as JSON text in the form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}
Since agentPoolNames support multiple values, its values must be
specified with array notation. When the filter is either empty or not
provided, the list returns all agent pools for the project.
string filter = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The filter. |
getFilterBytes()
public ByteString getFilterBytes()An optional list of query parameters specified as JSON text in the form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}
Since agentPoolNames support multiple values, its values must be
specified with array notation. When the filter is either empty or not
provided, the list returns all agent pools for the project.
string filter = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for filter. |
getPageSize()
public int getPageSize() The list page size. The max allowed value is 256.
int32 page_size = 3;
| Returns | |
|---|---|
| Type | Description |
int |
The pageSize. |
getPageToken()
public String getPageToken()The list page token.
string page_token = 4;
| Returns | |
|---|---|
| Type | Description |
String |
The pageToken. |
getPageTokenBytes()
public ByteString getPageTokenBytes()The list page token.
string page_token = 4;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for pageToken. |
getProjectId()
public String getProjectId()Required. The ID of the Google Cloud project that owns the job.
string project_id = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The projectId. |
getProjectIdBytes()
public ByteString getProjectIdBytes()Required. The ID of the Google Cloud project that owns the job.
string project_id = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for projectId. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public TransferProto.ListAgentPoolsRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public TransferProto.ListAgentPoolsRequest.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
|
mergeFrom(TransferProto.ListAgentPoolsRequest other)
public TransferProto.ListAgentPoolsRequest.Builder mergeFrom(TransferProto.ListAgentPoolsRequest other)| Parameter | |
|---|---|
| Name | Description |
other |
TransferProto.ListAgentPoolsRequest |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
|
setFilter(String value)
public TransferProto.ListAgentPoolsRequest.Builder setFilter(String value)An optional list of query parameters specified as JSON text in the form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}
Since agentPoolNames support multiple values, its values must be
specified with array notation. When the filter is either empty or not
provided, the list returns all agent pools for the project.
string filter = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe filter to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setFilterBytes(ByteString value)
public TransferProto.ListAgentPoolsRequest.Builder setFilterBytes(ByteString value)An optional list of query parameters specified as JSON text in the form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}
Since agentPoolNames support multiple values, its values must be
specified with array notation. When the filter is either empty or not
provided, the list returns all agent pools for the project.
string filter = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for filter to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setPageSize(int value)
public TransferProto.ListAgentPoolsRequest.Builder setPageSize(int value) The list page size. The max allowed value is 256.
int32 page_size = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
intThe pageSize to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setPageToken(String value)
public TransferProto.ListAgentPoolsRequest.Builder setPageToken(String value)The list page token.
string page_token = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe pageToken to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setPageTokenBytes(ByteString value)
public TransferProto.ListAgentPoolsRequest.Builder setPageTokenBytes(ByteString value)The list page token.
string page_token = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for pageToken to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setProjectId(String value)
public TransferProto.ListAgentPoolsRequest.Builder setProjectId(String value)Required. The ID of the Google Cloud project that owns the job.
string project_id = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe projectId to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |
setProjectIdBytes(ByteString value)
public TransferProto.ListAgentPoolsRequest.Builder setProjectIdBytes(ByteString value)Required. The ID of the Google Cloud project that owns the job.
string project_id = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for projectId to set. |
| Returns | |
|---|---|
| Type | Description |
TransferProto.ListAgentPoolsRequest.Builder |
This builder for chaining. |